<template>
  <div>
    <side-navbar 
      :show="minifySidebar" 
      :links="sidebarLinks"/>
    <top-navbar 
      @toggleSidebar="toggleSidebar" 
      @logOut="logOut"/>
    <dashboard-content/>

    <v-snackbar
      v-model="popup.visible"
      :color="popup.color"
      :timeout="popup.timeout"
      top 
      right
    >
      {{ popup.message }}

      <v-btn
        dark
        flat
        @click="popup.visible = false"
      >
        Close
      </v-btn>
    </v-snackbar>

  </div>
</template>

<style lang="scss">
</style>

<script>
import TopNavbar from './TopNavbar.vue'
// import ContentFooter from './Footer.vue'
import SideNavbar from './SideNavbar.vue'
import DashboardContent from './Content.vue'

import store from  '@js/store/index'

import {bus} from '@js/bus'

export default {

	components: {
		SideNavbar,
		TopNavbar,
		DashboardContent
	},

	data() {
		return {
			minifySidebar: true,
			popup: {
				visible: false,
				message: '',
				color: 'primary',
				timeout: 2000
			}
		}
	},

	computed: {
		userId: function() {
			return this.$store.getters.currentUser.id
		},

		sidebarLinks: function() {
			return [
				{ icon: 'keyboard_arrow_up',  
					'icon-alt': 'keyboard_arrow_down', 
					text:'Make', 
					model: true,
					children: [
						{ icon: 'print', text: 'Print', path: { name: 'make-print'} }
					]},
				{ icon: 'library_books',      text: 'File manager',   path: { name: 'storage-all', } },
				{ icon: 'center_focus_strong',text: 'Jog control',    path: { name: 'jog', } },
				{ icon: 'build',text: 'Development',    path: { name: 'development', } },
          
				//{ icon: 'business',   text: 'Companies',    path: { name: 'companies',  } },

				//{ icon: 'contacts',   text: 'Users',        path: { name: 'users',    params: {companyId: this.companyId } } },
				//{ icon: 'call_split', text: 'Branches',     path: { name: 'branches', params: {companyId: this.companyId } } },
				//{ icon: 'storage',    text: 'Repositories', path: { name: 'repositories',    params: {companyId: this.companyId } } },
				//{ icon: 'history',    text: 'Logs',         path: { name: 'logs',     params: {companyId: this.companyId } } },
				//{ icon: 'settings', text: 'Settings', path: { name: 'settings', params: {companyId: this.companyId} } },
				//{ icon: 'chat_bubble', text: 'Send feedback', path: { name: 'feedback', params: {companyId: this.companyId} } },
			]
		}
	},

	created() {
		bus.$on('show-popup', this.showPopup)
	},

	beforeDestroy() {
		bus.$off('show-popup', this.showPopup)
	},

	methods: {

		showPopup(popup) {

			if(popup.timeout !== undefined)
				this.popup.timeout = popup.timeout
			else
				this.popup.timeout = 2000

			if(popup.color !== undefined)
				this.popup.color = popup.color
			else
				this.popup.color = 'primary'

			this.popup.message = popup.message
			this.popup.visible = true
		},

		toggleSidebar() {
			this.minifySidebar = !this.minifySidebar
		},

		logOut() {
			this.$auth.logout()
			this.$router.push( {name: 'login'} )
		}
	},

}

</script>